const Joi = require('@hapi/joi');

const driver_licenses_update = Joi.object({
    licenses: Joi.array().items(Joi.number()).required(),
    obj_uid: Joi.string().length(22).required(),
});

const vehicle_certifications_update = Joi.object({
    id: Joi.number().required(),
    obj_uid: Joi.string().length(22).required(),
});

const vehicle_model_create = Joi.object({
    name: Joi.string().max(255).required(),
    certification_required: Joi.boolean().default(true),
});

const vehicle_model_update = Joi.object({
    name: Joi.string().max(255).required(),
    certification_required: Joi.boolean().default(true),
});

module.exports = {
    driver_licenses_update,
    vehicle_certifications_update,
    vehicle_model_create,
    vehicle_model_update,
};
